/*
Metal rod
*/

lc_ext = 0.1; // 0.03; 

rayon = 0.1;
longueur = 0.5;

Point(1) = {0,0,0,1};	// longueur caractéristique du centre sans utilité
Point(2) = {rayon,0,0,lc_ext};
Point(3) = {-rayon,0,0,lc_ext};
Point(4) = {0,-rayon,0,lc_ext};
Point(5) = {0,rayon,0,lc_ext};

Circle(1) = {2,1,5};
Circle(2) = {5,1,3};
Circle(3) = {3,1,4};
Circle(4) = {4,1,2};

Line Loop(5) = {1,2,3,4};
Plane Surface(6) = {5};

Extrude {0,0,longueur} {
  Surface{6}; 
  Layers{10,1};  //{ 30,1 }; 
  Recombine;
}

Physical Surface(31) = {6};
Physical Surface(32) = {27,15,19,23,28};
Physical Volume(33) = {1};

/* Remark : gmsh statistics show :

Geometry : 24 lines... it should be : 12 
Mesh : 296 nodes on lines...   it should be : 132
       400 nodes on surfaces... it should be : 260
*/
